POST
/admin/update-tenant
const url = 'https://example.com/admin/update-tenant';const options = { method: 'POST', headers: {'X-Tenzir-AdminKey': '<X-Tenzir-AdminKey>', 'Content-Type': 'application/json'}, body: '{"tenant_id":"example","name":"example","icon_url":"example","owner_id":"example","owner_namespace":"example","owner_display_name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/admin/update-tenant \ --header 'Content-Type: application/json' \ --header 'X-Tenzir-AdminKey: <X-Tenzir-AdminKey>' \ --data '{ "tenant_id": "example", "name": "example", "icon_url": "example", "owner_id": "example", "owner_namespace": "example", "owner_display_name": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
UpdateTenantRequest
object
Example generated
{ "tenant_id": "example", "name": "example", "icon_url": "example", "owner_id": "example", "owner_namespace": "example", "owner_display_name": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
UpdateTenantResponse
object
Example generated
{}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}